术语表条目并发创建

Moses Skoda工程师预计阅读 1 分钟

出现此问题时,API 返回 409 Conflict。其 type 为 https://lingo.dev/docs/api/errors/glossary-terms-created-concurrently。所有错误的通用结构见错误和状态码。

无法创建这些条目:另一个请求已在此期间将其中一个条目添加到术语表。请重试,查看具体是哪个条目。

字段#

此问题仅包含标准成员。

示例#

json
{
  "detail": "Cannot create these terms: another request added one of them to the glossary meanwhile. Retry to see which.",
  "type": "https://lingo.dev/docs/api/errors/glossary-terms-created-concurrently",
  "status": 409,
  "title": "Glossary terms created concurrently"
}

返回此错误的端点#

  • PATCH /v2/glossaries/{glossaryId}/terms/{id}
  • POST /v2/glossaries/{glossaryId}/terms
  • POST /v2/glossaries/{glossaryId}/terms/create-many